function love.load()
	x = 400
	y = 300
	speed = 200

	r, g, b = 255, 255, 255

	ball = love.graphics.newImage('ball.png')

	p1 = love.graphics.newParticleSystem(ball, 200)
	p1:setEmissionRate(100)
	p1:setParticleLife(0.5)
	p1:setSizes(1, 0.5)
	p1:setColors(220,105,20,255, 194,30,18,0)

	p2 = love.graphics.newParticleSystem(ball, 200)
	p2:setEmissionRate(50)
	p2:setParticleLife(0.75)
	p2:setSizes(0.25, 1)
	p2:setColors(220,105,20,20, 194,30,18,0)

	love.graphics.setBackgroundColor(30, 30, 30)
	love.graphics.setBlendMode('additive')
end

function love.update(dt)
	direction_x = 0
	direction_y = 0

	if love.keyboard.isDown('left') then direction_x = -1 end
	if love.keyboard.isDown('right') then direction_x = 1 end
	if love.keyboard.isDown('up') then direction_y = -1 end
	if love.keyboard.isDown('down') then direction_y = 1 end

	velocity_x = direction_x * speed * dt
	velocity_y = direction_y * speed * dt

	x = x + velocity_x
	y = y + velocity_y

	if direction_x == 1 then
		r, g, b = 192,64,128
	elseif direction_x == -1 then
		r, g, b = 0,128,255
	end

	p2:setColors(r, g, b, 255, 194, 30, 18, 0)

	p1:setPosition(x, y)
	p2:setPosition(x, y)

	p1:update(dt)
	p2:update(dt)
end

function love.draw()
	love.graphics.setColor(r, g, b)
	love.graphics.circle("line", x, y, 10, 50)
	love.graphics.draw(p1, 0, 0)
	love.graphics.draw(p2, 0, 0)
end




